Bug 986446 - [RHSC] Server Add Failure
[RHSC] Server Add Failure
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Sahina Bose
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 16:05 EDT by Matt Mahoney
Modified: 2013-10-25 07:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 07:50:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log Files (2.44 MB, application/x-tar)
2013-07-19 16:05 EDT, Matt Mahoney
no flags Details

  None (edit)
Description Matt Mahoney 2013-07-19 16:05:02 EDT
Created attachment 775948 [details]
Log Files

Description of problem:
Server failed to install. The host had been added/removed several times during testing, and thus this is not a reproducible issue(i.e. random/intermittent).

Content of Host Deploy file:

2013-07-18 16:03:14 DEBUG otopi.context context._executeMethod:130 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-xiY0muDUyc/pythonlib/otopi/context.py", line 120, in _executeMethod
    method['method']()
  File "/tmp/ovirt-xiY0muDUyc/otopi-plugins/otopi/network/iptables.py", line 111, in _closeup
    self.services.state('iptables', False)
  File "/tmp/ovirt-xiY0muDUyc/otopi-plugins/otopi/services/rhel.py", line 184, in state
    'start' if state else 'stop'
  File "/tmp/ovirt-xiY0muDUyc/otopi-plugins/otopi/services/rhel.py", line 96, in _executeServiceCommand
    raiseOnError=raiseOnError
  File "/tmp/ovirt-xiY0muDUyc/pythonlib/otopi/plugin.py", line 422, in execute
    command=args[0],
RuntimeError: Command '/sbin/service' failed to execute


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add Server
2.
3.

Actual results:


Expected results:
Host add should not fail.

Additional info:
Comment 2 Dusmant 2013-10-25 07:50:59 EDT
Reopen this bug, if it surfaces again...

Note You need to log in before you can comment on or make changes to this bug.